Get all users

cURL

curl --request GET \
  --url 'https://api.cal.com/v2/organizations/{orgId}/users?attributeQueryOperator=AND'

Response

200

{
  "status": "success",
  "data": [
    {
      "id": 1,
      "email": "john@example.com",
      "timeZone": "America/New_York",
      "weekStart": "Monday",
      "hideBranding": false,
      "createdDate": "2022-01-01T00:00:00Z",
      "profile": {
        "id": 1,
        "organizationId": 1,
        "userId": 1,
        "username": "john_doe"
      },
      "username": "john_doe",
      "name": "John Doe",
      "emailVerified": "2022-01-01T00:00:00Z",
      "bio": "I am a software developer",
      "avatarUrl": "https://example.com/avatar.jpg",
      "appTheme": "light",
      "theme": "default",
      "defaultScheduleId": 1,
      "locale": "en-US",
      "timeFormat": 12,
      "brandColor": "#ffffff",
      "darkBrandColor": "#000000",
      "allowDynamicBooking": true,
      "verified": true,
      "invitedTo": 1,
      "metadata": {
        "key": "value"
      }
    }
  ]
}

Headers

  • Authorization: string

    • For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
  • x-cal-secret-key: string

    • For platform customers - OAuth client secret key
  • x-cal-client-id: string

    • For platform customers - OAuth client ID

Path Parameters

  • orgId: number (required)

Query Parameters

  • take: number
    The number of items to return
    Required range: 1 <= x <= 1000

  • skip: number
    The number of items to skip
    Required range: x >= 0

  • emails: string[]
    The email address or an array of email addresses to filter by

  • assignedOptionIds: string[]
    Filter by assigned attribute option ids. ids must be separated by a comma.

  • attributeQueryOperator: enum
    default:AND Query operator used to filter assigned options, AND by default.

  • teamIds: number[]
    Filter by teamIds. Team ids must be separated by a comma.

Response

  • status: enum (required)
    Available options: success, error

  • data: object[] (required)
    Showchild attributes